Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.ede
Class StatementException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.wlrt.ede.StatementException

public class StatementException
extends RuntimeException

Exception raised when attempting to add an invalid statement

See Also:
  Serialized Form

Constructor Summary
`StatementException(Exception e)`
`StatementException(String msg)`

Method Summary
`int` | `getColumnNumber()` Returns column number on which an error was detected.
`int` | `getLineNumber()` Returns line number on which an error was detected.
`boolean` | `hasLocation()` Indicates whether or not location information is available for this exception

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatementException

    public StatementException(String msg)

### StatementException

    public StatementException(Exception e)

Method Detail

### hasLocation

    public boolean hasLocation()

  Indicates whether or not location information is available for this exception

  Returns:
    true if location information is available and false otherwise.

### getLineNumber

    public int getLineNumber()

  Returns line number on which an error was detected.

  Returns:
    line number location of error

### getColumnNumber

    public int getColumnNumber()

  Returns column number on which an error was detected.

  Returns:
    column number location of error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD